###################################################
### chunk number 1: data
###################################################
#line 184 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
library("strucchange")
data("USIncExp")
plot(USIncExp, plot.type = "single", col = 1:2, ylab = "billion US$")
legend(1960, max(USIncExp), c("income", "expenditures"),
       lty = c(1,1), col = 1:2, bty = "n")


###################################################
### chunk number 2: subset
###################################################
#line 199 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
library("strucchange")
data("USIncExp")
USIncExp2 <- window(USIncExp, start = c(1985,12))


###################################################
### chunk number 3: ecm-setup
###################################################
#line 219 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
coint.res <- residuals(lm(expenditure ~ income, data = USIncExp2))
coint.res <- lag(ts(coint.res, start = c(1985,12), freq = 12), k = -1)
USIncExp2 <- cbind(USIncExp2, diff(USIncExp2), coint.res)
USIncExp2 <- window(USIncExp2, start = c(1986,1), end = c(2001,2))
colnames(USIncExp2) <- c("income", "expenditure", "diff.income",
                         "diff.expenditure", "coint.res")
ecm.model <- diff.expenditure ~ coint.res + diff.income


###################################################
### chunk number 4: ts-used
###################################################
#line 234 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
plot(USIncExp2[,3:5], main = "")


###################################################
### chunk number 5: efp
###################################################
#line 388 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
ocus <- efp(ecm.model, type="OLS-CUSUM", data=USIncExp2)
me <- efp(ecm.model, type="ME", data=USIncExp2, h=0.2)


###################################################
### chunk number 6: efp-boundary
###################################################
#line 455 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
bound.ocus <- boundary(ocus, alpha=0.05)


###################################################
### chunk number 7: OLS-CUSUM
###################################################
#line 464 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
plot(ocus)


###################################################
### chunk number 8: efp-boundary2 eval=FALSE
###################################################
## #line 478 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
## plot(ocus, boundary = FALSE)
## lines(bound.ocus, col = 4)
## lines(-bound.ocus, col = 4)


###################################################
### chunk number 9: ME-null
###################################################
#line 494 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
plot(me, functional = NULL)


###################################################
### chunk number 10: efp-sctest eval=FALSE
###################################################
## #line 537 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
## sctest(ocus)


###################################################
### chunk number 11: efp-sctest2
###################################################
#line 541 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
sctest(ecm.model, type="OLS-CUSUM", data=USIncExp2)


###################################################
### chunk number 12: Fstats
###################################################
#line 598 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
fs <- Fstats(ecm.model, from = c(1990, 1), to = c(1999,6), data = USIncExp2)


###################################################
### chunk number 13: Fstats-plot
###################################################
#line 615 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
plot(fs)


###################################################
### chunk number 14: pval-plot eval=FALSE
###################################################
## #line 631 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
## plot(fs, pval=TRUE)


###################################################
### chunk number 15: aveF-plot eval=FALSE
###################################################
## #line 636 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
## plot(fs, aveF=TRUE)


###################################################
### chunk number 16: Fstats-sctest eval=FALSE
###################################################
## #line 665 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
## sctest(fs, type="expF")


###################################################
### chunk number 17: Fstats-sctest2
###################################################
#line 669 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
sctest(ecm.model, type = "expF", from = 49, to = 162, data = USIncExp2)


###################################################
### chunk number 18: mefp
###################################################
#line 724 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
USIncExp3 <- window(USIncExp2, start = c(1986, 1), end = c(1989,12))
me.mefp <- mefp(ecm.model, type = "ME", data = USIncExp3, alpha = 0.05)


###################################################
### chunk number 19: monitor1
###################################################
#line 738 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
USIncExp3 <- window(USIncExp2, start = c(1986, 1), end = c(1990,12))
me.mefp <- monitor(me.mefp)


###################################################
### chunk number 20: monitor2
###################################################
#line 744 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
USIncExp3 <- window(USIncExp2, start = c(1986, 1))
me.mefp <- monitor(me.mefp)
me.mefp


###################################################
### chunk number 21: monitor-plot
###################################################
#line 759 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
plot(me.mefp)


###################################################
### chunk number 22: mefp2
###################################################
#line 768 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
USIncExp3 <- window(USIncExp2, start = c(1986, 1), end = c(1989,12))
me.efp <- efp(ecm.model, type = "ME", data = USIncExp3, h = 0.5)
me.mefp <- mefp(me.efp, alpha=0.05)


###################################################
### chunk number 23: monitor3
###################################################
#line 775 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
USIncExp3 <- window(USIncExp2, start = c(1986, 1))
me.mefp <- monitor(me.mefp)


###################################################
### chunk number 24: monitor-plot2
###################################################
#line 788 "/build/buildd/strucchange-1.4-3/inst/doc/strucchange-intro.Rnw"
plot(me.mefp)


